Create a portal instance
POST /api/portals
POST /api/portalsInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Request Body
application/json
The portal instance description.
Response Body
application/json
application/json
curl -X POST "$API_BASE_URL/api/portals" \ -H "Content-Type: application/json" \ -d '{ "name": "Developer Portal", "public_url": "https://portal.example.com" }'Portal response.
{
"value": {
"name": "Developer Portal",
"labels": {
"version": "v2",
"env": "prod"
},
"public_url": "https://portal.example.com",
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": 1742288232,
"updated_at": 1742288235
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
POST /api/portals
Create a portal instance
IAM Action: portal:CreatePortal, Resource: arn:api7:portal:portal/*
Parameters
Request body
Content type: application/json
name(string, required): Portal instance name.labels(object, optional): Labels of the portal instance.public_url(string, required): Portal instance public URL.
Responses
200: Portal response.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional): The portal instance with management fields.- allOf variant 1
value.name(string, required): Portal instance name.value.labels(object, optional): Labels of the portal instance.value.public_url(string, required): Portal instance public URL.- allOf variant 2
value.id(string, optional): The object ID.value.created_at(integer, optional): The object created timestamp.value.updated_at(integer, optional): The object updated timestamp.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X POST '$API_BASE_URL/api/portals'